﻿@model  Bloggie.Web.Models.ViewModels.HomeViewModel
@{
    ViewData["Title"] = "Home Page";
}

<div class="container col-xxl-8 px-4 py-5">

    <div class="row align-items-center g-5 py-5">
        <div class="col-12 col-lg-6">
            <h1 class="display-5 fw-bold lh-1 mb-3">
                Bloggie - The Dev Blog
            </h1>
            <p class="lead">
                Bloggie is the gome to coding blogs covering a vast range of topics like HTML,CSS,JAVASCRIPT,
                ASP.NET,C#,Agular etc.
                Want to read the latest dev articles? Join the bloggie app and get weekly  blogs in your email
            </p>

        </div>



        <div class="col-12 col-lg-6">
          <img  src=" https://images.pexels.com/photos/57690/pexels-photo-57690.jpeg?auto=compress&cs=tinysrgb&w=1260&h=750&dpr=2"
           alt="Bloggie - Dev blogs"
           class="d-block mx-lg-auto img-fluid"  width="300"/>
        </div>
    </div> 

</div>

<div class="container">
    <div class="row justify-content-center">
        <div class="col-6 d-flex">
            @if(Model!=null && Model.Tags.Any())
            {
                foreach(var tag in Model.Tags)
                {
                    <span class="badge bg-dark mg-1">@tag.Name</span>
                }
            }
        </div>
    </div>
</div>

<div class="container">
    <div class="row justify-content-center">
        <div class="col-6">
            @if(Model != null && Model.BlogPosts.Any())
            {
                foreach(var blogPost in Model.BlogPosts)
                {
                    <div class="mb-5 bg-light box-shadow p-150">
                        <img src="@blogPost.FeaturedImageUrl" alt="@blogPost.Heading"
                            class="mb-2 d-block imb-fluid" > </img>


                        <h2 class=" mb-4">@blogPost.Heading</h2>
                        <p class="mb-4">
                            Author: @blogPost.Author
                            <br/>
                            Published Date: @blogPost.PublicshedDate.ToShortDateString()
                        </p>
                        <p class=" mb-4">
                            @foreach (var tag in blogPost.Tags)
                            {
                                <span class="badge bg-secondary me-1">@tag.Name</span>
                            }
                        </p>
                        <p class="mb-4">@blogPost.ShortDescription</p>

                        <a class="btn btn-dark 
                        "asp-area=""
                        asp-controller="Blogs"
                        asp-action="Index"
                           asp-route-urlHandle="@blogPost.UrlHandle">Read More</a>

                    </div>
                }
            }
        </div>
    </div>
</div>
